Voro++: voro::radius_mono Class Reference

Voro++

- Main Page
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Protected Member Functions
voro::radius_mono Class Reference

Class containing all of the routines that are specific to computing the regular Voronoi tessellation. More...

`#include <rad_option.hh>`

Inheritance diagram for voro::radius_mono:

## Protected Member Functions
void | r_init (int ijk, int s)
void | r_prime (double rv)
bool | r_ctest (double crs, double mrs)
double | r_cutoff (double lrs)
double | r_max_add (double rs)
double | r_current_sub (double rs, int ijk, int q)
double | r_scale (double rs, int ijk, int q)
bool | r_scale_check (double &rs, double mrs, int ijk, int q)

## Detailed Description

The container and container_periodic classes are derived from this class, and during the Voronoi cell computation, these routines are used to create the regular Voronoi tessellation.

Definition at line 24 of file rad_option.hh.

## Member Function Documentation

bool voro::radius_mono::r_ctest | ( | double | crs,
|  | double | mrs
| ) |  |
| inlineprotected

Carries out a radius bounds check.

Parameters

  [in] | crs | the radius squared to be tested.
  [in] | mrs | the current maximum distance to a Voronoi vertex multiplied by two.

Returns
  True if particles at this radius could not possibly cut the cell, false otherwise.

Definition at line 40 of file rad_option.hh.

double voro::radius_mono::r_current_sub | ( | double | rs,
|  | int | ijk,
|  | int | q
| ) |  |
| inlineprotected

Subtracts the radius squared of a particle from a given value.

Parameters

  [in] | rs | the value to consider.
  [in] | ijk | the block that the particle is within.
  [in] | q | the index of the particle within the block.

Returns
  The value with the radius squared subtracted.

Definition at line 55 of file rad_option.hh.

double voro::radius_mono::r_cutoff | ( | double | lrs | ) |
| inlineprotected

Scales a plane displacement during a plane bounds check.

Parameters

  [in] | lrs | the plane displacement.

Returns
  The scaled value.

Definition at line 44 of file rad_option.hh.

void voro::radius_mono::r_init | ( | int | ijk,
|  | int | s
| ) |  |
| inlineprotected

This is called prior to computing a Voronoi cell for a given particle to initialize any required constants.

Parameters

  [in] | ijk | the block that the particle is within.
  [in] | s | the index of the particle within the block.

Definition at line 30 of file rad_option.hh.

double voro::radius_mono::r_max_add | ( | double | rs | ) |
| inlineprotected

Adds the maximum radius squared to a given value.

Parameters

  [in] | rs | the value to consider.

Returns
  The value with the radius squared added.

Definition at line 48 of file rad_option.hh.

void voro::radius_mono::r_prime | ( | double | rv | ) |
| inlineprotected

Sets a required constant to be used when carrying out a plane bounds check.

Definition at line 33 of file rad_option.hh.

double voro::radius_mono::r_scale | ( | double | rs,
|  | int | ijk,
|  | int | q
| ) |  |
| inlineprotected

Scales a plane displacement prior to use in the plane cutting algorithm.

Parameters

  [in] | rs | the initial plane displacement.
  [in] | ijk | the block that the particle is within.
  [in] | q | the index of the particle within the block.

Returns
  The scaled plane displacement.

Definition at line 62 of file rad_option.hh.

bool voro::radius_mono::r_scale_check | ( | double & | rs,
|  | double | mrs,
|  | int | ijk,
|  | int | q
| ) |  |
| inlineprotected

Scales a plane displacement prior to use in the plane cutting algorithm, and also checks if it could possibly cut the cell.

Parameters

  [in,out] | rs | the plane displacement to be scaled.
  [in] | mrs | the current maximum distance to a Voronoi vertex multiplied by two.
  [in] | ijk | the block that the particle is within.
  [in] | q | the index of the particle within the block.

Returns
  True if the cell could possibly cut the cell, false otherwise.

Definition at line 73 of file rad_option.hh.

The documentation for this class was generated from the following file:

- rad_option.hh